# $Id: afternoonstalker.spec.in,v 1.8 2003/01/04 11:18:16 sarrazip Exp $
# Spec file for afternoonstalker

%define sysconfdir /etc

# Release number can be specified with rpm --define 'rel SOMETHING' ...
# If no such --define is used, the release number is 1.
#
# Source archive's extension can be specified with rpm --define 'srcext .foo'
# where .foo is the source archive's actual extension.
# To compile an RPM from a .bz2 source archive, give the command
#   rpm -tb --define 'srcext .bz2' afternoonstalker-1.0.3.tar.bz2
#
%if %{?rel:0}%{!?rel:1}
%define rel 1
%endif
%if %{?srcext:0}%{!?srcext:1}
%define srcext .gz
%endif

Summary: A Night Stalker(TM) clone.
Name: afternoonstalker
Version: 1.0.3
Release: %{rel}
Copyright: GPL
Group: Amusements/Games
Source: %{name}-%{version}.tar%{srcext}
URL: http://sarrazip.com/dev/%{name}.html
Packager: Pierre Sarrazin
Prefix: /usr
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: gengameng     >= 4.0
Requires: SDL           >= 1.2.4
Requires: SDL_image     >= 1.2.2
Requires: SDL_mixer     >= 1.2.4
BuildRequires: gengameng-devel  >= 4.0
BuildRequires: SDL-devel        >= 1.2.4
BuildRequires: SDL_image-devel  >= 1.2.2
BuildRequires: SDL_mixer-devel  >= 1.2.4

%description
Clone of the Intellivision game Night Stalker.  You are in a
two-dimensional maze in which you are attacked by robots that
shoot at you and that you must shoot down.  You must pick up a
gun somewhere in the maze in order to have a few bullets to shoot.
Avoid the spiders and the bats, which can paralyze you long enough
for a robot to come and shoot you.  The bunker in the center is
your only protection.

This package installs an entry in the GNOME 1.x Games menu.

%description -l fr
Clone du jeu Night Stalker de l'Intellivision.  Vous tes dans un
labyrinthe  deux dimensions dans lequel vous tes attaqu par des
robots qui vous tirent dessus et que vous devez abattre.  Vous devez
ramasser un fusil quelque part dans le labyrinthe pour obtenir
quelques balles  tirer.  vitez les araignes et les chauves-souris,
qui peuvent vous paralyser assez longtemps pour qu'un robot vienne
vous tirer dessus.  Le bunker au centre est votre seule protection.

Ce paquet installe une entre dans le menu Jeux de GNOME 1.x.

%prep
%setup

%build
./configure \
	CXXFLAGS="-DNDEBUG -O2" \
	--prefix=%{prefix} \
	--sysconfdir=%{sysconfdir} \
	--with-desktop-entry
make

%install
rm -fR $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -fR $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{prefix}/bin/*
%{prefix}/share/%{name}
%{prefix}/share/sounds/%{name}
%{prefix}/share/pixmaps/*
%{prefix}/share/gnome/apps/*/*
%{prefix}/man/man6/*
