dnl
dnl	BEWARE: this macro must not be called DESKTOP_ENTRY
dnl	if the AM_CONDITIONAL is named INSTALL_DESKTOP_ENTRY.
dnl	It creates strange behavior.  The AM_CONDITIONAL line is
dnl	copied into the ./configure script, which then fails like this:
dnl
dnl	./configure: syntax error near unexpected token
dnl	`AM_CONDITIONAL(INSTALL_DESKTOP_ENTRY,'
dnl	./configure: ./configure: line 1028:
dnl	`AM_CONDITIONAL(INSTALL_DESKTOP_ENTRY,
dnl			test $desktop_entry = true)'
dnl

AC_DEFUN([WITH_DESKTOP_ENTRY],
dnl Assigns the word yes or no to the shell variable desktop_entry.
[
	AC_ARG_WITH(desktop-entry,
[  --with-desktop-entry  Install entry in the desktop menu [default is no]],
		[
			#
			# If the option used is "--without-desktop-entry",
			# then $withval is "no".
			#
			if test "$withval" = ""; then  # if no argument, assume yes
				desktop_entry=yes
			elif test "$withval" = yes; then
				desktop_entry=yes
			else
				desktop_entry=no
			fi
		],
		[
			desktop_entry=no  # default
		])

	AC_MSG_RESULT(install desktop entry: $desktop_entry)
])
